[Button]
BackgroundColor = "#0f62fe"
TextColor = "#ffffff"
# Padding = [0.0, 12.0, 8.0, 0.0]
Padding = 16.0

# Creates an empty rule for Button.Normal.
# This will inherit style from Button, this is a temporary workaround.
[Button.Normal]

[Button.Hovered]
BackgroundColor = "#0353e9"

[Button.Pressed]
BackgroundColor = "#002d9c"

[Button.Danger]
TextColor = "#ffffff"

[Button.Danger.Normal]
BackgroundColor = "#da1e28"

[Button.Danger.Hovered]
BackgroundColor = "#ba1b23"

[Button.Danger.Pressed]
BackgroundColor = "#750e13"

[Button.Outline]
BackgroundColor = [0, 0, 0, 0]
BorderSize = 1.0
BorderColor = "#0f62fe"

[Button.Outline.Normal]
TextColor = "#0353e9"

[Button.Outline.Hovered]
BackgroundColor = "#0353e9"

[Button.Outline.Pressed]
BackgroundColor = "#002d9c"
BorderColor = [0, 0, 0, 0]

[Button.Link]
BackgroundColor = [0, 0, 0, 0]
TextColor = "#0f62fe"
Padding = 0.0

[Button.Link.Normal]

[Button.Link.Hovered]
BorderColor = "#0043ce"
TextColor = "#0043ce"
BorderSize = [0, 0, 0, 1]

[Button.Link.Pressed]
TextColor = "#161616"
BorderSize = [0, 0, 0, 1]
BorderColor = "#161616"


# Default background color for all Container derived classes.
[Container]
BackgroundColor = "#e0e0e0"
